> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dyor.io/llms.txt
> Use this file to discover all available pages before exploring further.

# getJettonHoldersHistory

> History of jetton holders changes



## OpenAPI

````yaml https://converter.swagger.io/api/convert?url=https://storage.dyor.io/docs/saas-api.swagger.json get /v1/jettons/{address}/holders/ticks
openapi: 3.0.1
info:
  title: DYOR SaaS API
  version: '1.0'
servers:
  - url: https://api.dyor.io/
security: []
tags:
  - name: JettonsService
  - name: SystemService
paths:
  /v1/jettons/{address}/holders/ticks:
    get:
      tags:
        - JettonsService
      summary: getJettonHoldersHistory
      description: History of jetton holders changes
      operationId: JettonsService_GetHoldersTicks
      parameters:
        - name: address
          in: path
          description: |-
            Jetton address

            Example: `EQCQZpelevHNsbw5IUtwSa4Cs8kqWww0KsYeDri9kwS18eCz`
          required: true
          schema:
            type: string
        - name: limit
          in: query
          description: |-
            Default value: 20

            Max value: 1000
          schema:
            type: integer
            format: int64
        - name: cursor
          in: query
          description: |-
            Cursor to paginate list

            Should be set by value from response field `next`
          schema:
            type: string
        - name: from
          in: query
          schema:
            type: string
            format: date-time
        - name: to
          in: query
          schema:
            type: string
            format: date-time
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1JettonsGetHoldersTicksResponse'
        '400':
          description: Returned when the request parameters have an invalid value
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
              example:
                code: 3
                message: invalid value
                details: []
        '404':
          description: Returned when the resource does not exist
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
              example:
                code: 5
                message: not found
                details: []
        '429':
          description: Returned when the limit of requests per second is exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
              example:
                code: 8
                message: too many requests
                details: []
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
components:
  schemas:
    v1JettonsGetHoldersTicksResponse:
      type: object
      properties:
        items:
          title: The list of holders ticks
          type: array
          items:
            $ref: '#/components/schemas/v1JettonHoldersHistoryItem'
        next:
          title: Cursor to next page
          type: string
          description: If the field is empty or not exists there's no next page
    rpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    v1JettonHoldersHistoryItem:
      type: object
      properties:
        value:
          type: string
          format: uint64
          example: '7351'
        time:
          type: string
          format: date-time
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties:
        type: object

````